> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unize.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Graph



## OpenAPI

````yaml post /v1/storage/import/
openapi: 3.0.3
info:
  title: Unize API
  version: 1.0.0
  description: Unize API
servers: []
security: []
paths:
  /v1/storage/import/:
    post:
      tags:
        - Storage (API & Playground)
      operationId: Import Graph
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GraphImport'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/GraphImport'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/GraphImport'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphImportResponse'
          description: ''
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphImportResponse'
          description: ''
      security:
        - Authentication: []
components:
  schemas:
    GraphImport:
      type: object
      properties:
        graph_id:
          type: string
          format: uuid
          description: >-
            An alphanumeric string that uniquely identifies a knowledge graph.
            Provide the `graph_id` of an existing knoweldge graph to update it
            with the imported data. If omitted, a new knoweldge graph will be
            created instead.
        graph_name:
          type: string
          maxLength: 200
          description: >-
            A unique identifier or label for the knowledge graph being imported.
            It should be descriptive enough to indicate the graph's content,
            purpose, or source (e.g., 'medical_research_graph' or
            'customer_support_kg').
        cypher:
          type: string
          description: >-
            The Cypher Query string representing the knowledge graph to be
            imported. This string should contain valid Cypher commands that
            define the nodes and relationships of the graph. Ignored if
            `use_file_upload` is `true`.
          maxLength: 500000
        use_file_upload:
          type: boolean
          default: false
          description: >-
            If `true`, server will return a presigned URL for uploading a Cypher
            file.
      required:
        - graph_name
    GraphImportResponse:
      type: object
      properties:
        graph_id:
          type: string
          format: uuid
          description: >-
            An alphanumeric string that uniquely identifies the updated or
            imported knowledge graph.
        upload_presigned_url:
          type: string
          description: The URL where the to-be-imported graph should be uploaded to.
      required:
        - graph_id
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Send the API generated from the Playground:
        - `Authorization: <api_key>`

````